This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 801062 - Review Request: fcitx-keyboard - X Keyboard integration with Fcitx
Review Request: fcitx-keyboard - X Keyboard integration with Fcitx
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-07 10:23 EST by Liang Suilong
Modified: 2012-06-05 19:14 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-05 19:00:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Liang Suilong 2012-03-07 10:23:00 EST
SPEC: http://liangsuilong.fedorapeople.org/fcitx/fcitx-keyboard.spec
SRPM: http://liangsuilong.fedorapeople.org/fcitx/fcitx-keyboard-0.1.0-1.fc16.src.rpm
Description:
Fcitx-keyboard integrates Fcitx into X keyboard, requires X window system.
Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=3864028
Comment 1 Parag AN(पराग) 2012-04-26 10:34:24 EDT
Review:-
+ koji scratch build for f17 -> http://koji.fedoraproject.org/koji/taskinfo?taskID=4024880

+ rpmlint on rpms gave
fcitx-keyboard.src:5: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 5)
fcitx-keyboard.src: W: invalid-url Source0: http://fcitx.googlecode.com/files/fcitx-keyboard-0.1.0.tar.bz2 HTTP Error 404: Not Found
fcitx-keyboard.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 3 warnings.
+ Source verified with upstream as (sha1sum)
98a8f1340c2fe0c835f2d09d95cb18df825d75b4  fcitx-keyboard-0.1.0.tar.bz2
98a8f1340c2fe0c835f2d09d95cb18df825d75b4  ../SOURCES/fcitx-keyboard-0.1.0.tar.bz2

+ Package : fcitx-keyboard-0.1.0-1.fc17.x86_64
Provides: fcitx-keyboard.so()(64bit) fcitx-xkb.so()(64bit)
Requires: libX11.so.6()(64bit) libc.so.6()(64bit) libc.so.6(GLIBC_2.14)(64bit) libc.so.6(GLIBC_2.2.5)(64bit) libc.so.6(GLIBC_2.3)(64bit) libenchant.so.1()(64bit) libicuuc.so.48()(64bit) libxkbfile.so.1()(64bit) libxml2.so.2()(64bit) libxml2.so.2(LIBXML2_2.4.30)(64bit) rtld(GNU_HASH)

Suggestions:-
1) Fix the rpmlint messages. 
  a) mixed-use-of-spaces-and-tabs message can be fixed using command
     sed -i 's|\t| |g' fcitx-keyboard.spec


2) If package is only for Fedora then no need to add
  a) %clean section (see
http://fedoraproject.org/wiki/Packaging:Guidelines#.25clean)
  b) removal of buildroot in %install (remove line rm -rf $RPM_BUILD_ROOT)
  c) remove line %defattr(-,root,root,-)

3) please don't use commands in macro that is change %{__mkdir} to "mkdir"

4) package should add Requires: fcitx, fcitx-data

5) Use following commands in %build
%cmake ..
make VERBOSE=1 %{?_smp_mflags}

6) %install should preserve timestamp using 
   make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

7) Add COPYING to %doc
Comment 2 Liang Suilong 2012-05-12 14:51:11 EDT
Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=4072828
SPEC: http://liangsuilong.fedorapeople.org/fcitx/fcitx-keyboard.spec
SRPM:
http://liangsuilong.fedorapeople.org/fcitx/fcitx-keyboard-0.1.3-1.fc16.src.rpm

(In reply to comment #1)
> Review:-
> + koji scratch build for f17 ->
> http://koji.fedoraproject.org/koji/taskinfo?taskID=4024880
> 
> + rpmlint on rpms gave
> fcitx-keyboard.src:5: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab:
> line 5)
> fcitx-keyboard.src: W: invalid-url Source0:
> http://fcitx.googlecode.com/files/fcitx-keyboard-0.1.0.tar.bz2 HTTP Error 404:
> Not Found
> fcitx-keyboard.x86_64: W: no-documentation
> 2 packages and 0 specfiles checked; 0 errors, 3 warnings.
> + Source verified with upstream as (sha1sum)
> 98a8f1340c2fe0c835f2d09d95cb18df825d75b4  fcitx-keyboard-0.1.0.tar.bz2
> 98a8f1340c2fe0c835f2d09d95cb18df825d75b4 
> ../SOURCES/fcitx-keyboard-0.1.0.tar.bz2
> 
> + Package : fcitx-keyboard-0.1.0-1.fc17.x86_64
> Provides: fcitx-keyboard.so()(64bit) fcitx-xkb.so()(64bit)
> Requires: libX11.so.6()(64bit) libc.so.6()(64bit) libc.so.6(GLIBC_2.14)(64bit)
> libc.so.6(GLIBC_2.2.5)(64bit) libc.so.6(GLIBC_2.3)(64bit)
> libenchant.so.1()(64bit) libicuuc.so.48()(64bit) libxkbfile.so.1()(64bit)
> libxml2.so.2()(64bit) libxml2.so.2(LIBXML2_2.4.30)(64bit) rtld(GNU_HASH)
> 
> Suggestions:-
> 1) Fix the rpmlint messages. 
>   a) mixed-use-of-spaces-and-tabs message can be fixed using command
>      sed -i 's|\t| |g' fcitx-keyboard.spec
>
Done
 
> 
> 2) If package is only for Fedora then no need to add
>   a) %clean section (see
> http://fedoraproject.org/wiki/Packaging:Guidelines#.25clean)
>   b) removal of buildroot in %install (remove line rm -rf $RPM_BUILD_ROOT)
>   c) remove line %defattr(-,root,root,-)
> 

The pacakge will support el6

> 3) please don't use commands in macro that is change %{__mkdir} to "mkdir"
>
Done
 
> 4) package should add Requires: fcitx, fcitx-data
> 

Done

> 5) Use following commands in %build
> %cmake ..
> make VERBOSE=1 %{?_smp_mflags}
>
 
Done

> 6) %install should preserve timestamp using 
>    make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
> 

Done
> 7) Add COPYING to %doc
Done
Comment 3 Parag AN(पराग) 2012-05-15 01:48:37 EDT
Changes looks good now except package should not require for fcitx-data as I
see nothing is getting installed in /usr/share/fcitx/inputmethod

My suggestion to ask you to Requires: fcitx-data was based on old fcitx but as
you modified now fcitx, fcitx-data is not needed.

APPROVED.
Comment 4 Liang Suilong 2012-05-17 04:09:29 EDT
New Package SCM Request
=======================
Package Name: fcitx-keyboard
Short Description: X Keyboard Integration with Fcitx
Owners: liangsuilong
Branches: f15 f16 f17 el6
InitialCC: i18n-team
Comment 5 Gwyn Ciesla 2012-05-17 08:14:35 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2012-05-22 13:04:26 EDT
fcitx-keyboard-0.1.3-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/fcitx-keyboard-0.1.3-1.fc16
Comment 7 Fedora Update System 2012-05-22 13:04:37 EDT
fcitx-keyboard-0.1.3-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/fcitx-keyboard-0.1.3-1.fc15
Comment 8 Fedora Update System 2012-05-22 13:04:48 EDT
fcitx-keyboard-0.1.3-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/fcitx-keyboard-0.1.3-1.fc17
Comment 9 Fedora Update System 2012-05-24 11:35:41 EDT
fcitx-keyboard-0.1.3-1.fc17 has been pushed to the Fedora 17 testing repository.
Comment 10 Fedora Update System 2012-06-05 19:00:10 EDT
fcitx-keyboard-0.1.3-1.fc17 has been pushed to the Fedora 17 stable repository.
Comment 11 Fedora Update System 2012-06-05 19:09:39 EDT
fcitx-keyboard-0.1.3-1.fc16 has been pushed to the Fedora 16 stable repository.
Comment 12 Fedora Update System 2012-06-05 19:14:02 EDT
fcitx-keyboard-0.1.3-1.fc15 has been pushed to the Fedora 15 stable repository.

Note You need to log in before you can comment on or make changes to this bug.